diff --git a/src/btf.h b/src/btf.h
index 61579a3..4e9f9fc 100644
--- a/src/btf.h
+++ b/src/btf.h
@@ -2,6 +2,7 @@
 
 #include "types.h"
 #include <linux/types.h>
+#include <linux/version.h>
 #include <map>
 #include <regex>
 #include <string>
@@ -11,6 +12,15 @@
 struct btf;
 struct btf_type;
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(5,5,0)
+/* this is required to build with 5.4 and earlier kernel headers */
+enum btf_func_linkage {
+    BTF_FUNC_STATIC = 0,
+    BTF_FUNC_GLOBAL = 1,
+    BTF_FUNC_EXTERN = 2,
+};
+#endif
+
 namespace bpftrace {
 
 class BTF
